
#include <IRremote.h>



 
int RECV_PIN = 5;
IRrecv irrecv(RECV_PIN); // le capteur infrarouge est connecté à broche 5 de l’Arduino
decode_results results;
 
const int led_rouge= 2;  // led verte est connectée à la broche 2 de la carte Elegoo
const int led_bleu1 = 3;  // led oranger est connectée à la broche 3 de la carte Elegoo
const int led_bleu2 = 4;  // led rouge est connectée à la broche 4 de la carte Elegoo
const int moteur_D = 7;  // moteur droit connecté à la broche 7
const int moteur_G = 8;  // moteur gauche connecté à la broche 8
const int moteur_H = 10; // moteur des hélices connecté à la broche 10

int allumer_rouge,allumer_bleu1,allumer_bleu2;allumer_moteurD;allumer_moteurG; allumer_moteurH;
 
void setup()
{ irrecv.enableIRIn(); // Initialise le recepteur infrarouge
allumer_rouge=0;
allumer_bleu1=0;
allumer_bleu2=0;
allumer_moteurD=0;
allumer_moteurG=0;
allumer_moteurH=0;
pinMode(led_rouge, OUTPUT);
pinMode(led_bleu1, OUTPUT);
pinMode(led_bleu2, OUTPUT);
pinMode(moteur_D, OUTPUT);
pinMode(moteur_G, OUTPUT);
pinMode(moteur_H, OUTPUT);

}
 
void loop()
{ if (irrecv.decode(&results)) {
 
if (results.value==0xFF30CF)//on appuie sur la touche 1 de la télécommande
{
if (allumer_bleu1==0 and allumer_bleu2==0)
{allumer_bleu1=1;
allumer_bleu2=1;
digitalWrite(led_bleu1, HIGH);
digitalWrite(led_bleu2, HIGH);
}else
{allumer_bleu1=0;
allumer_bleu2=0;
digitalWrite(led_bleu1, LOW);
digitalWrite(led_bleu2, LOW);
}
}
 
if (results.value==0xFF7A85)//on appuie sur la touche 3
{
if (allumer_rouge==0 ) // si led rouge éteinte
{allumer_rouge=1;
digitalWrite(led_rouge, HIGH);// LED rouge s'allume
}else
{allumer_rouge=0;
digitalWrite(led_rouge, LOW);// LED rouge s'éteint
}
}

if (results.values==0xFF38C7)// on appuie sur la touche 5
{
if (allumer_moteurD==0 and allumer_moteurG==0)
{
allumer_moteurD=1;
allumer_moteurG=1;
digitalWrite(moteur_D,HIGH);
digitalWrite(moteur_G,HIGH);
}
else
{allumer_moteurD=0;
allumer_moteurG=0;
digitalWrite(moteur_D,LOW);
digitalWrite(moteur_G,LOW);
}
}

if (results.values==0xFF10EF)// on appuie sur la touche 4
{
if (allumer_moteurD==0 and allumer_moteurG==0)
{
allumer_moteurD=1;
allumer_moteurG=0;
digitalWrite(moteur_D,HIGH);
digitalWrite(moteur_G,LOW);
}
if (allumer_moteurD==0 and allumer_moteurG==1)
{
allumer_moteurD=1;
allumer_moteurG=0;
digitalWrite(moteur_D,HIGH);
digitalWrite(moteur_G,LOW);
}
else
{allumer_moteurD=0;
allumer_moteurG=0;
digitalWrite(moteur_D,LOW);
digitalWrite(moteur_G,LOW);
}
}

if (results.values==0xFF5AA5)// on appuie sur la touche 6
{
if (allumer_moteurD==0 and allumer_moteurG==0)
{
allumer_moteurD=0;
allumer_moteurG=1;
digitalWrite(moteur_G,HIGH);
digitalWrite(moteur_D,LOW);
}
if (allumer_moteurD==1 and allumer_moteurG==0)
{
allumer_moteurD=0;
allumer_moteurG=1;
digitalWrite(moteur_G,HIGH);
digitalWrite(moteur_D,LOW);
}
else
{allumer_moteurD=0;
allumer_moteurG=0;
digitalWrite(moteur_D,LOW);
digitalWrite(moteur_G,LOW);
}
}

if (results.value==0xFF02FD)//on appuie sur la touche fleche haut
{
if (allumer_moteurH==0 ) // si moteur helice éteint
{allumer_moteurH=1;
digitalWrite(moteur_H, HIGH);// moteur helice s'allume
}else
{allumer_moteurH=0;
digitalWrite(moteur_H, LOW);// moteur helice s'éteint
}
}

irrecv.resume(); // Recoit la valeur suivante
}
 
}
